DateTime::getTimestamp
DateTime::modify
DateTime
PHP Manual

# DateTime::getTimezone

(PHP 5 >= 5.2.0)

DateTime::getTimezone — Return time zone relative to given DateTime

### Description

Object oriented style

public DateTimeZone DateTime::getTimezone ( void )

Procedural style

DateTimeZone date_timezone_get ( DateTime `$object` )

Return time zone relative to given DateTime.

### Parameters

`object`

  Procedural style only: A DateTime object returned by date_create()

### Return Values

Returns a DateTimeZone object on success or `FALSE` on failure.

### Examples

Example #1 DateTime::getTimezone() example

Object oriented style

`<?php
$date = new DateTime(null, new DateTimeZone('Europe/London'));
$tz = $date->getTimezone();
echo $tz->getName();
?>`

Procedural style

`<?php
$date = date_create(null, timezone_open('Europe/London'));
$tz = date_timezone_get($date);
echo timezone_name_get($tz);
?>`

The above examples will output:

    Europe/London

### See Also

- DateTime::setTimezone() - Sets the time zone for the DateTime object

DateTime::getTimestamp
DateTime::modify
DateTime
PHP Manual